    module DataLikelihoodList
    use likelihood
    use IniFile
    use ParamDef
    implicit none

    contains

    subroutine SetDataLikelihoods(Ini)
    use HST
    use snovae
    use cmbdata
    use bao
    use mpk
    use iswdata
    use WeakLen
    use CFHTLens
    Type(TIniFile), intent(in) :: Ini

    get_sigma8 = Ini_Read_Logical_File(Ini,'get_sigma8',.false.)

    call CMBDataLikelihoods_Add(DataLikelihoods, Ini)

    call HSTLikelihood_Add(DataLikelihoods, Ini)

    call SNLikelihood_Add(DataLikelihoods, Ini)

    call MPKLikelihood_Add(DataLikelihoods, Ini)

    call BAOLikelihood_Add(DataLikelihoods, Ini)

    !JD added below
    
    call ISWLikelihood_Add(DataLikelihoods, Ini)
    
    call WeakLenLikelihood_Add(DataLikelihoods, Ini)
    
    call CFHTLensLikelihood_Add(DataLikelihoods, Ini)
    
    use_LSS = use_mpk .or. use_ISW .or. use_WeakLen .or. use_CFHTLS

    end subroutine SetDataLikelihoods


    end module DataLikelihoodList